## gmic 1.3.5.7+dfsg

=== src/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling :
#
#                 . the G'MIC interpreter, as a library ('make lib').
#                 . the G'MIC command line tool ('make gmic').
#                 . the G'MIC plug-in for GIMP ('make gimp').
#
#                ( http://gmic.sourceforge.net )
#
#  Copyright   : David Tschumperle
#                ( http://www.greyc.ensicaen.fr/~dtschump/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#---------------------------------
# Set correct variables and paths
#---------------------------------
OS := $(shell uname)
CC = g++
ifeq ($(OS),Darwin)
PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
USR = /opt/local
else
PLUGINDIR=`gimptool-2.0 --gimpplugindir`/plug-ins
USR = /usr
endif
ifeq ($(OS),MINGW32_NT-5.1)
EXE = .exe
endif
ifeq ($(CC),g++)
IS_GCC = yes
endif
ifeq ($(CC),g++-4.5)
IS_GCC = yes
endif

#---------------------------------------------------
# Set compilation flags allowing to customize G'MIC
#---------------------------------------------------

# Flags that are mandatory to compile 'gmic'.
MANDATORY_CFLAGS = -Dgmic_build -I$(USR)/include
MANDATORY_LDFLAGS = -L$(USR)/lib
ifeq ($(IS_GCC),yes)
MANDATORY_CFLAGS += -Wall -W -I$(USR)/include
MANDATORY_LDFLAGS = -lm -L$(USR)/lib
endif

# Flags to enable debugging.
DEBUG_CFLAGS = -Dcimg_use_vt100 -Dcimg_verbosity=3 -g

# Flags to enable optimizations.
ifeq ($(IS_GCC),yes)
OPT_CFLAGS = -O3 -fno-tree-pre
endif
ifeq ($(CC),icc)
OPT_CFLAGS = -O3 -ipo -no-prec-div -override-limits
endif

# Flags to enable image display, using X11.
X11_CFLAGS = -Dcimg_display=1 -Dcimg_use_xrandr -I$(USR)/X11R6/include
X11_LDFLAGS = -L$(USR)/X11R6/lib -lX11 -lXrandr -lpthread

# Flags to enable fast display, using XShm.
XSHM_CFLAGS = -Dcimg_use_xshm
XSHM_LDFLAGS = -L$(USR)/X11R6/lib -lXext

# Flags to enable image display, using GDI32.
GDI32_CFLAGS = -Dcimg_display=2
GDI32_LDFLAGS = -lgdi32

# Flags to enable native support for PNG image files, using the PNG library.
PNG_CFLAGS = -Dcimg_use_png
PNG_LDFLAGS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
JPEG_CFLAGS = -Dcimg_use_jpeg
JPEG_LDFLAGS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
TIFF_CFLAGS = -Dcimg_use_tiff
TIFF_LDFLAGS = -ltiff

# Flags to enable native support for various video files, using the FFMPEG library.
FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
ZLIB_CFLAGS = -Dcimg_use_zlib
ZLIB_LDFLAGS = -lz

# Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/include/GraphicsMagick
ifeq ($(OS),Darwin)
MAGICK_LDFLAGS = -L$(USR)/lib -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljpeg -lpng -lbz2 -lxml2 -lz -lm -lpthread -lltdl
else
MAGICK_LDFLAGS = -lGraphicsMagick++
endif

# Flags to enable native support of EXR file format, using the OpenEXR library/
EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/include/OpenEXR
EXR_LDFLAGS = -lIlmImf
ifeq ($(OS),Darwin)
EXR_LDFLAGS += -lHalf
endif

# Flags to enable the use of the FFTW3 library.
FFTW_CFLAGS = -Dcimg_use_fftw3
FFTW_LDFLAGS = -lfftw3
ifeq ($(OS),MINGW32_NT-5.1)
FFTW_LDFLAGS = -lfftw3-3
endif

# Flags to enable the use of the BOARD library.
BOARD_CFLAGS = -Dcimg_use_board
BOARD_LDFLAGS = -lboard

# Sets of flags for building different configurations.
STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                  $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	  	  $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS)
STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) \
		   $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
		   $(ZLIB_LDFLAGS) $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS)

CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	           $(MAGICK_CFLAGS) $(FFTW_CFLAGS) # $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) # $(EXR_CFLAGS)
CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
	    	    $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) # $(EXR_LDFLAGS)

DEBUG_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	            $(FFTW_CFLAGS) $(FFMPEG_CFLAGS)
DEBUG_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
	  	     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
		     $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS)

STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
		   $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS)
STD_MACOSX_LDFLAGS = $(X11_LDFLAGS) $(ZLIB_LDFLAGS) $(MANDATORY_LDFLAGS) \
		     $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
		     $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS)

STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(FFTW_CFLAGS)
STD_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(GDI32_LDFLAGS) $(ZLIB_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(FFTW_LDFLAGS)

STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS)
STD_GIMP_LDFLAGS = -lpthread $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
ifeq ($(OS),MINGW32_NT-5.1)
STD_GIMP_LDFLAGS += -mwindows
endif

STD_LIB_CFLAGS = -Dcimg_display=0 $(MANDATORY_CFLAGS) $(FFTW_CFLAGS)
STD_LIB_LDFLAGS = $(FFTW_LDFLAGS)

#-------------------------
# Define Makefile entries
#-------------------------

# Main entries
all:
ifeq ($(OS),Linux)
	@echo "**"
	@echo "** Linux configuration"
	@echo "**"
	$(MAKE) linux
	$(MAKE) gimp
else
ifeq ($(OS),Darwin)
	@echo "**"
	@echo "** MacOSX configuration"
	@echo "**"
	$(MAKE) macosx
	$(MAKE) gimp
else
	@echo "**"
	@echo "** Windows configuration"
	@echo "**"
	$(MAKE) windows
	$(MAKE) gimp
endif
endif

gimp:
	$(MAKE) "CFLAGS+=$(STD_GIMP_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_GIMP_LDFLAGS)" "STRIP_EXE=1" gmic_gimp

lib:
	$(MAKE) "CFLAGS+=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib

# Entries for non-default configurations.
debug:
	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_debug

linux:
	$(MAKE) "CFLAGS+=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic

custom:
	$(MAKE) "CFLAGS+=$(CUST_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(CUST_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic

solaris:
	$(MAKE) "CFLAGS+=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_UNIX_LDFLAGS) -R$(USR)/X11R6/lib -lrt -lnsl -lsocket" "STRIP_EXE=1" gmic_gmic

macosx:
	$(MAKE) "CFLAGS+=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_MACOSX_LDFLAGS)" gmic_gmic

windows:
	$(MAKE) "CFLAGS+=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic

# Rules to build compilation modules.
gmic_lib.o: gmic.cpp gmic_def.h
	$(CC) -o gmic_lib.o -c gmic.cpp -fPIC -Dgmic_minimal -Dgmic_float $(CFLAGS)
gmic_lib: gmic_lib.o
	ar rcs libgmic.a gmic_lib.o
	$(CC) -shared -Wl,-soname,libgmic.so.1 -o libgmic.so.1.3.2 gmic_lib.o $(LDFLAGS)
	$(CC) -o gmic_use_lib gmic_use_lib.cpp -L. -lgmic -lfftw3

gmic_gimp.o: gmic.cpp gmic_def.h
	$(CC) -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal -Dgmic_float $(CFLAGS)
gmic_gimp : gmic_gimp.o gmic_gimp.cpp
	$(CC) -o gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0$(EXE) --cflags` $(CFLAGS) `gimptool-2.0$(EXE) --libs` $(LDFLAGS)
	strip gmic_gimp$(EXE)

gmic_debug: gmic.cpp
	$(CC) -o gmic gmic.cpp -Dgmic_minimal -Dgmic_float -Dgmic_main $(CFLAGS) $(LDFLAGS)

gmic_bool.o: gmic.cpp
	$(CC) -o gmic_bool.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS)
gmic_uchar.o: gmic.cpp
	$(CC) -o gmic_uchar.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS)
gmic_char.o: gmic.cpp
	$(CC) -o gmic_char.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_char $(CFLAGS)
gmic_ushort.o: gmic.cpp
	$(CC) -o gmic_ushort.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS)
gmic_short.o: gmic.cpp
	$(CC) -o gmic_short.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_short $(CFLAGS)
gmic_uint.o: gmic.cpp
	$(CC) -o gmic_uint.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_uint $(CFLAGS)
gmic_int.o: gmic.cpp
	$(CC) -o gmic_int.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_int $(CFLAGS)
gmic_float.o: gmic.cpp
	$(CC) -o gmic_float.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_float $(CFLAGS)
gmic_double.o: gmic.cpp
	$(CC) -o gmic_double.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_double $(CFLAGS)
gmic_gmic: gmic.cpp gmic_bool.o gmic_uchar.o gmic_char.o gmic_ushort.o gmic_short.o gmic_uint.o gmic_int.o gmic_float.o gmic_double.o gmic_def.h
	$(CC) -o gmic gmic.cpp -Dgmic_separate_compilation -Dgmic_main $(CFLAGS) gmic_bool.o gmic_uchar.o gmic_char.o gmic_ushort.o gmic_short.o gmic_uint.o gmic_int.o gmic_float.o gmic_double.o $(LDFLAGS)
	strip gmic$(EXE)

def:
	cd ../../CImg/examples && $(MAKE) gmic_def

# Install/uninstall/clean.
install:
	mkdir -p $(DESTDIR)$(PLUGINDIR)/
	cp -f gmic_gimp $(DESTDIR)$(PLUGINDIR)/
	mkdir -p $(DESTDIR)$(USR)/bin/
	cp -f gmic $(DESTDIR)$(USR)/bin/
	mkdir -p $(DESTDIR)$(USR)/share/man/man1/
	mkdir -p $(DESTDIR)$(USR)/share/man/fr/man1/
	cp -f ../man/gmic.1.gz $(DESTDIR)$(USR)/share/man/man1/gmic.1.gz
	cp -f ../man/gmic.1.gz $(DESTDIR)$(USR)/share/man/fr/man1/gmic.1.gz
	mkdir -p $(DESTDIR)$(USR)/share/doc/gmic/html/img/
	if test -d /etc/bash_completion.d/; then mkdir -p $(DESTDIR)/etc/bash_completion.d/; cp gmic_bashcompletion.sh $(DESTDIR)/etc/bash_completion.d/gmic; fi
	if test -d /opt/local/etc/bash_completion.d/; then mkdir -p $(DESTDIR)/opt/local/etc/bash_completion.d/; cp gmic_bashcompletion.sh $(DESTDIR)/opt/local/etc/bash_completion.d/gmic; fi
	for pixmap in ../html/*.*; do \
	  if test -f $$pixmap; then \
	    cp -f  $$pixmap  $(DESTDIR)$(USR)/share/doc/gmic/html/; \
	  fi \

=== debian/changelog ===
gmic (1.3.5.7+dfsg-1) unstable; urgency=low

  * [f733c366] Merge commit 'upstream/1.3.5.7+dfsg'
  * [ee1cba19] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Jun 2010 02:23:16 +0200

gmic (1.3.5.4+dfsg-2) unstable; urgency=low

  * [e14a94e2] Rise required amount of RAM to avoid FTBFS on s390.
    (*sigh* - these machines should have neough RAM and swap....)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 07 Jun 2010 19:37:02 +0200

gmic (1.3.5.4+dfsg-1) unstable; urgency=low

  * [821186d5] Fix dversionmangle in watch file.
  * [8fab3d8a] Merge commit 'upstream/1.3.5.4+dfsg'
    - This icludes a fix for the FTBFS on various archicetures.
      (Closes: #584304)
  * [7550bc35] Refresh patches.
  * [d682b862] Don't gunzip manpages and create directories before make
    install.
  * [6dccd71b] Tidy debian/rules' clean target.
  * [dba56977] Install bash completion

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 07 Jun 2010 13:53:22 +0200

gmic (1.3.5.1+dfsg2-1) unstable; urgency=low

  * Upstream released a bugfix-release for 1.3.5.1 - unfortunately with the
    same version number.
  * [0e506788] Merge commit 'upstream/1.3.5.1+dfsg2'

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 May 2010 16:48:40 +0200

gmic (1.3.5.1+dfsg-1) unstable; urgency=low

  * [97366020] Use -O0 in case the system we build on has less than 1GB
    RAM.
  * [6aca1038] Merge commit 'upstream/1.3.5.1+dfsg'
  * [fe6b2057] Fix awk call to evaluate the available memory.
  * [6806172f] Updating patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 May 2010 12:13:50 +0200

gmic (1.3.5.0+dfsg-1) unstable; urgency=low

  * [4efc6ba8] Add Enhances/Depends on gimp.
  * [1cec005d] Merge commit 'upstream/1.3.5.0+dfsg'
  * [4a1816e8] Don't use pristine-tar on git-import-orig. We need to
    recreate the tarball after removing non-free material.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 May 2010 22:48:10 +0200

gmic (1.3.5.0~beta1+dfsg-1) experimental; urgency=low

  * Beta version of the upcoming upstream version.
  * [55bc031b] Merge commit 'upstream/1.3.5.0.beta1+dfsg'
  * [35c39744] Bumping Standards-Version to 3.8.4, no changes needed.
  * [1e7913f6] debian/control: Adding VCS Information.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 28 Apr 2010 19:49:35 +0200

gmic (1.3.4.1+dfsg-4) unstable; urgency=low

  * [973d62d8] Small typo making the kfreebsd fix fail. Fixed now.
  * [cd7344ee] Use -O0 on mips to avoid internal errors in g++.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 20 Apr 2010 22:58:25 +0200

gmic (1.3.4.1+dfsg-3) unstable; urgency=low

  * [045a2f86] Remove strip commands from src/Makefile. dh_strip takes
    care of stripping if necessary.
  * [d3740bdf] Add patch to make gmic build on kfreebsd.
  * [61119501] Use -O0 on arm to stop g++ from using even more memory.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 20 Apr 2010 18:09:57 +0200

gmic (1.3.4.1+dfsg-2) unstable; urgency=low

  * [77f87ac2] Update jwilk's email address to jwilk@d.o
  * [955493d8] Updating debian/copyright.
  * [6f168dd4] Add additional information about src/gmic_def.h to
    debian/copyright.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 20 Apr 2010 11:15:26 +0200

gmic (1.3.4.1+dfsg-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Initial release (closes: #532629).

  [ Bernd Zeimetz ]
  * Removing non-free content (the html documentation comes without
    sources and was generated using a non-free album generator).
  * Also removing upstream's debian folder.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 13 Apr 2010 22:56:12 +0200

## gmic 1.3.9.0+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -64,6 +64,9 @@
 ifeq ($(CC),g++-4.5)
 IS_GCC = yes
 endif
+ifeq ($(CC),g++-4.5.0)
+IS_GCC = yes
+endif
 
 #---------------------------------------------------
 # Set compilation flags allowing to customize G'MIC
@@ -88,9 +91,10 @@
 OPT_CFLAGS = -O3 -ipo -no-prec-div -override-limits
 endif
 
-# Flags to enable image display, using X11.
-X11_CFLAGS = -Dcimg_display=1 -Dcimg_use_xrandr -I$(USR)/X11R6/include
-X11_LDFLAGS = -L$(USR)/X11R6/lib -lX11 -lXrandr -lpthread
+# Flags to enable image display, using X11
+# (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
+X11_CFLAGS = -Dcimg_display=1 -Dcimg_use_xrandr -I/usr/X11R6/include
+X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lXrandr -lpthread
 
 # Flags to enable fast display, using XShm.
 XSHM_CFLAGS = -Dcimg_use_xshm
@@ -149,17 +153,17 @@
 # Sets of flags for building different configurations.
 STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
-	  	  $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS)
+	  	  $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(FFMPEG_CFLAGS)
 STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) \
 		   $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
-		   $(ZLIB_LDFLAGS) $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS)
+		   $(ZLIB_LDFLAGS) $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS)
 
 CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
-	           $(MAGICK_CFLAGS) $(FFTW_CFLAGS) # $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) # $(EXR_CFLAGS)
+	           $(MAGICK_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS)
 CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
                     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
-	    	    $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) # $(EXR_LDFLAGS)
+	    	    $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS)
 
 DEBUG_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                     $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
@@ -296,6 +300,3 @@
 	if test -d /etc/bash_completion.d/; then mkdir -p $(DESTDIR)/etc/bash_completion.d/; cp gmic_bashcompletion.sh $(DESTDIR)/etc/bash_completion.d/gmic; fi
 	if test -d /opt/local/etc/bash_completion.d/; then mkdir -p $(DESTDIR)/opt/local/etc/bash_completion.d/; cp gmic_bashcompletion.sh $(DESTDIR)/opt/local/etc/bash_completion.d/gmic; fi
 	for pixmap in ../html/*.*; do \
-	  if test -f $$pixmap; then \
-	    cp -f  $$pixmap  $(DESTDIR)$(USR)/share/doc/gmic/html/; \
-	  fi \

=== debian/changelog ===
gmic (1.3.9.0+dfsg-1) unstable; urgency=low

  * [23ccb979] Merge commit 'upstream/1.3.9.0+dfsg'
  * [bef99d90] Install upstream changelog.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Aug 2010 10:26:51 +0200

gmic (1.3.7.1+dfsg-1) unstable; urgency=low

  * [b573582f] Merge commit 'upstream/1.3.7.1+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 19 Jul 2010 19:11:21 +0200

gmic (1.3.6.0+dfsg-1) unstable; urgency=low

  * [204cd64b] Merge commit 'upstream/1.3.6.0+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Jun 2010 18:42:20 +0200

=== debian/control ===
Source: gmic
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libgimp2.0-dev (>= 2.4),
 libavcodec-dev, libavformat-dev, libswscale-dev, libgraphicsmagick++-dev,
 libx11-dev, libxrandr-dev, libmagick++-dev, libfftw3-dev | fftw3-dev
Standards-Version: 3.8.4
Homepage: http://gmic.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/gmic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gmic.git

Package: gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmic-doc, gimp-gmic
Description: GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the stand-alone binary.

Package: gimp-gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
Suggests: gmic, gmic-doc
Enhances: gimp
Description: GIMP plugin for GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the GIMP plugin.

=== debian/rules ===
#!/usr/bin/make -f

BUILDD_MEM := $(shell awk '/^MemTotal:/ {print $$2}' /proc/meminfo)
BUILDD_MEM_OK := $(strip $(shell test $(BUILDD_MEM) -gt 1800000 && echo yes))

ifneq (,$(findstring arm,$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)))
  GMIC_CFLAGS = -g -O0
else
  ifneq (,$(findstring mips,$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)))
    GMIC_CFLAGS = -g -O0
  else
    ifeq (yes,$(BUILDD_MEM_OK))
      GMIC_CFLAGS = $(CFLAGS)
	else
	  GMIC_CFLAGS = -g -O0
	endif
  endif
endif

.PHONY: override_dh_auto_test
override_dh_auto_test: ;

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.shtml -X.rss -X.js -X.ppm

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

config.status:
	dh_testdir
	dh_auto_configure

.PHONY: build
build: build-stamp

build-stamp: config.status
	dh_auto_build -- \
		LDFLAGS="-Wl,--as-needed" \
		CFLAGS="$(GMIC_CFLAGS) -I. -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libswscale/"
	touch $(@)

.PHONY: clean
clean:
	rm -f src/gmic_use_lib
	dh clean

.PHONY: install
install: build
	dh install
	install -d $(CURDIR)/debian/gmic/etc/bash_completion.d
	install -D -m644 src/gmic_bashcompletion.sh \
	                 $(CURDIR)/debian/gmic/etc/bash_completion.d/gmic

.PHONY: binary-indep
binary-indep: install
	dh binary-indep

.PHONY: binary-arch
binary-arch: install
	dh binary-arch

.PHONY: binary
binary: binary-indep binary-arch

# vim:ts=4 sw=2 noet

## gmic 1.4.8.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -48,6 +48,9 @@
 #---------------------------------
 OS := $(shell uname)
 CC = g++
+ifeq ($(OS),GNU/kFreeBSD)
+OS = Linux
+endif
 ifeq ($(OS),Darwin)
 PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
 USR = /opt/local
@@ -76,8 +79,8 @@
 MANDATORY_CFLAGS = -Dgmic_build -I$(USR)/include
 MANDATORY_LDFLAGS = -L$(USR)/lib
 ifeq ($(IS_GCC),yes)
-MANDATORY_CFLAGS += -Wall -W -I$(USR)/include
-MANDATORY_LDFLAGS = -lm -L$(USR)/lib
+MANDATORY_CFLAGS += -Wall -W
+MANDATORY_LDFLAGS = -lm
 endif
 
 # Flags to enable debugging.
@@ -85,7 +88,7 @@
 
 # Flags to enable optimizations.
 ifeq ($(IS_GCC),yes)
-OPT_CFLAGS = -O3 -fno-tree-pre
+OPT_CFLAGS = -O3 -fno-tree-pre -ffast-math
 endif
 ifeq ($(CC),icc)
 OPT_CFLAGS = -O3 -ipo -no-prec-div -override-limits
@@ -93,8 +96,8 @@
 
 # Flags to enable image display, using X11
 # (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
-X11_CFLAGS = -Dcimg_display=1 -Dcimg_use_xrandr -I/usr/X11R6/include
-X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lXrandr -lpthread
+X11_CFLAGS = -Dcimg_display=1 -Dcimg_display_classname=\\\"G\'MIC\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
+X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr
 
 # Flags to enable fast display, using XShm.
 XSHM_CFLAGS = -Dcimg_use_xshm
@@ -116,13 +119,26 @@
 TIFF_CFLAGS = -Dcimg_use_tiff
 TIFF_LDFLAGS = -ltiff
 
+# Flags to enable native support for MINC image files, using the MINC2 library.
+MINC2_CFLAGS = -Dcimg_use_minc2
+MINC2_LDFLAGS = -lminc2
+
 # Flags to enable native support for various video files, using the FFMPEG library.
-FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
+FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
 FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
 ZLIB_CFLAGS = -Dcimg_use_zlib
 ZLIB_LDFLAGS = -lz
+
+# Flags to enable native support of webcams, using the OpenCV library.
+OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include/opencv
+ifeq ($(OS),Darwin)
+OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
+else
+OPENCV_LDFLAGS = -lcv -lhighgui
+# OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
+endif
 
 # Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
 MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/include/GraphicsMagick
@@ -134,10 +150,7 @@
 
 # Flags to enable native support of EXR file format, using the OpenEXR library/
 EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/include/OpenEXR
-EXR_LDFLAGS = -lIlmImf
-ifeq ($(OS),Darwin)
-EXR_LDFLAGS += -lHalf
-endif
+EXR_LDFLAGS = -lIlmImf -lHalf
 
 # Flags to enable the use of the FFTW3 library.
 FFTW_CFLAGS = -Dcimg_use_fftw3
@@ -152,25 +165,31 @@
 
 # Sets of flags for building different configurations.
 STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
-                  $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
+                  $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
 	  	  $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(FFMPEG_CFLAGS)
-STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) \
-		   $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
-		   $(ZLIB_LDFLAGS) $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS)
+STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
+		   $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
+	           $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS)
 
 CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
-                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
+                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
 	           $(MAGICK_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS)
 CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
-                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
+                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(MINC2_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
 	    	    $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS)
 
 DEBUG_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
-                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
-	            $(FFTW_CFLAGS) $(FFMPEG_CFLAGS)
+                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
+	            $(MAGICK_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS)
 DEBUG_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
-	  	     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
-		     $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS)
+	  	     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
+		     $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS)
+
+MINIMAL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS)
+MINIMAL_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS)
+
+DEBUG_WINDOWS_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(GDI32_CFLAGS)
+DEBUG_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(GDI32_LDFLAGS)
 
 STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
@@ -182,8 +201,8 @@
 STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(FFTW_CFLAGS)
 STD_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(GDI32_LDFLAGS) $(ZLIB_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(FFTW_LDFLAGS)
 
-STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS)
-STD_GIMP_LDFLAGS = -lpthread $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
+STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 -I$(USR)/include $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS)
+STD_GIMP_LDFLAGS = -L$(USR)/lib -lpthread $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
 ifeq ($(OS),MINGW32_NT-5.1)
 STD_GIMP_LDFLAGS += -mwindows
 endif
@@ -202,6 +221,7 @@
 	@echo "** Linux configuration"
 	@echo "**"
 	$(MAKE) linux
+	$(MAKE) bashcompletion
 	$(MAKE) gimp
 else
 ifeq ($(OS),Darwin)
@@ -209,12 +229,14 @@
 	@echo "** MacOSX configuration"
 	@echo "**"
 	$(MAKE) macosx
+	$(MAKE) bashcompletion
 	$(MAKE) gimp
 else
 	@echo "**"
 	@echo "** Windows configuration"
 	@echo "**"
 	$(MAKE) windows
+	$(MAKE) bashcompletion
 	$(MAKE) gimp
 endif
 endif
@@ -226,8 +248,11 @@
 	$(MAKE) "CFLAGS+=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib
 
 # Entries for non-default configurations.
+minimal:
+	$(MAKE) "CFLAGS+=$(MINIMAL_UNIX_CFLAGS)" "LDFLAGS+=$(MINIMAL_UNIX_LDFLAGS)" gmic_minimal
+
 debug:
-	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_debug
+	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_minimal
 
 linux:
 	$(MAKE) "CFLAGS+=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
@@ -243,14 +268,17 @@
 
 windows:
 	$(MAKE) "CFLAGS+=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
+
+windebug:
+	$(MAKE) "CFLAGS+=$(DEBUG_WINDOWS_CFLAGS)" "LDFLAGS+=$(DEBUG_WINDOWS_LDFLAGS)" gmic_minimal
 
 # Rules to build compilation modules.
 gmic_lib.o: gmic.cpp gmic_def.h
 	$(CC) -o gmic_lib.o -c gmic.cpp -fPIC -Dgmic_minimal -Dgmic_float $(CFLAGS)
 gmic_lib: gmic_lib.o
 	ar rcs libgmic.a gmic_lib.o
-	$(CC) -shared -Wl,-soname,libgmic.so.1 -o libgmic.so.1.3.2 gmic_lib.o $(LDFLAGS)
-	$(CC) -o gmic_use_lib gmic_use_lib.cpp -L. -lgmic -lfftw3
+	$(CC) -shared -Wl,-soname,libgmic.so.1 -o libgmic.so gmic_lib.o $(LDFLAGS)
+	$(CC) -o gmic_use_lib gmic_use_lib.cpp -L. -lgmic $(FFTW_LDFLAGS)
 
 gmic_gimp.o: gmic.cpp gmic_def.h
 	$(CC) -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal -Dgmic_float $(CFLAGS)
@@ -258,7 +286,7 @@
 	$(CC) -o gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0$(EXE) --cflags` $(CFLAGS) `gimptool-2.0$(EXE) --libs` $(LDFLAGS)
 	strip gmic_gimp$(EXE)
 
-gmic_debug: gmic.cpp
+gmic_minimal: gmic.cpp
 	$(CC) -o gmic gmic.cpp -Dgmic_minimal -Dgmic_float -Dgmic_main $(CFLAGS) $(LDFLAGS)
 
 gmic_bool.o: gmic.cpp
@@ -277,26 +305,3 @@
 	$(CC) -o gmic_int.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_int $(CFLAGS)
 gmic_float.o: gmic.cpp
 	$(CC) -o gmic_float.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_float $(CFLAGS)
-gmic_double.o: gmic.cpp
-	$(CC) -o gmic_double.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_double $(CFLAGS)
-gmic_gmic: gmic.cpp gmic_bool.o gmic_uchar.o gmic_char.o gmic_ushort.o gmic_short.o gmic_uint.o gmic_int.o gmic_float.o gmic_double.o gmic_def.h
-	$(CC) -o gmic gmic.cpp -Dgmic_separate_compilation -Dgmic_main $(CFLAGS) gmic_bool.o gmic_uchar.o gmic_char.o gmic_ushort.o gmic_short.o gmic_uint.o gmic_int.o gmic_float.o gmic_double.o $(LDFLAGS)
-	strip gmic$(EXE)
-
-def:
-	cd ../../CImg/examples && $(MAKE) gmic_def
-
-# Install/uninstall/clean.
-install:
-	mkdir -p $(DESTDIR)$(PLUGINDIR)/
-	cp -f gmic_gimp $(DESTDIR)$(PLUGINDIR)/
-	mkdir -p $(DESTDIR)$(USR)/bin/
-	cp -f gmic $(DESTDIR)$(USR)/bin/
-	mkdir -p $(DESTDIR)$(USR)/share/man/man1/
-	mkdir -p $(DESTDIR)$(USR)/share/man/fr/man1/
-	cp -f ../man/gmic.1.gz $(DESTDIR)$(USR)/share/man/man1/gmic.1.gz
-	cp -f ../man/gmic.1.gz $(DESTDIR)$(USR)/share/man/fr/man1/gmic.1.gz
-	mkdir -p $(DESTDIR)$(USR)/share/doc/gmic/html/img/
-	if test -d /etc/bash_completion.d/; then mkdir -p $(DESTDIR)/etc/bash_completion.d/; cp gmic_bashcompletion.sh $(DESTDIR)/etc/bash_completion.d/gmic; fi
-	if test -d /opt/local/etc/bash_completion.d/; then mkdir -p $(DESTDIR)/opt/local/etc/bash_completion.d/; cp gmic_bashcompletion.sh $(DESTDIR)/opt/local/etc/bash_completion.d/gmic; fi
-	for pixmap in ../html/*.*; do \

=== debian/changelog ===
gmic (1.4.8.1+dfsg-2) unstable; urgency=low

  * [24dc0e58] Add patch to fix FTBFS on various architectures.
    Thanks to Hector Oron (Closes: #614273)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Feb 2011 22:52:04 +0100

gmic (1.4.8.1+dfsg-1) unstable; urgency=low

  * [fab6cc4d] Merge commit 'upstream/1.4.8.1+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 16 Feb 2011 22:37:42 +0100

gmic (1.4.8.0+dfsg-1) unstable; urgency=low

  * [33847b44] Merge commit 'upstream/1.4.8.0+dfsg'
  * [6e771817] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 10 Feb 2011 13:13:22 +0100

gmic (1.4.4.2+dfsg-1) experimental; urgency=low

  * [3253ce08] Merge commit 'upstream/1.4.4.2+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 07 Nov 2010 18:47:00 +0100

gmic (1.4.2.0+dfsg-1) experimental; urgency=low

  * [f93deb46] Merge commit 'upstream/1.4.2.0+dfsg'
  * [00290d4f] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Oct 2010 20:57:01 +0200

gmic (1.4.0.0+dfsg-1) experimental; urgency=low

  * [6fd356d5] Merge commit 'upstream/1.4.0.0+dfsg'
  * [331aef59] Adding new build-dependencies.
  * [86b49de0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 03 Sep 2010 14:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50),
  libgimp2.0-dev (>= 2.4),
  libavcodec-dev, libavformat-dev, libswscale-dev, libgraphicsmagick++-dev,
- libx11-dev, libxrandr-dev, libmagick++-dev, libfftw3-dev | fftw3-dev
+ libx11-dev, libxrandr-dev, libmagick++-dev, libfftw3-dev | fftw3-dev,
+ libcv-dev, libhighgui-dev
 Standards-Version: 3.8.4
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git

## gmic 1.5.0.0+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 #
 #  Description : Makefile for compiling :
 #
-#                 . the G'MIC interpreter, as a library ('make lib').
-#                 . the G'MIC command line tool ('make gmic').
+#                 . the G'MIC command line tool ('make').
 #                 . the G'MIC plug-in for GIMP ('make gimp').
+#                 . the G'MIC interpreter, as a C++ library ('make lib').
 #
 #                ( http://gmic.sourceforge.net )
 #
@@ -55,12 +55,13 @@
 PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
 USR = /opt/local
 else
-PLUGINDIR=`gimptool-2.0 --gimpplugindir`/plug-ins
+PLUGINDIR = `gimptool-2.0 --gimpplugindir`/plug-ins
 USR = /usr
 endif
 ifeq ($(OS),MINGW32_NT-5.1)
 EXE = .exe
 endif
+
 ifeq ($(CC),g++)
 IS_GCC = yes
 endif
@@ -68,6 +69,12 @@
 IS_GCC = yes
 endif
 ifeq ($(CC),g++-4.5.0)
+IS_GCC = yes
+endif
+ifeq ($(CC),g++-4.6)
+IS_GCC = yes
+endif
+ifeq ($(CC),g++-4.6.0)
 IS_GCC = yes
 endif
 
@@ -75,20 +82,24 @@
 # Set compilation flags allowing to customize G'MIC
 #---------------------------------------------------
 
+# Flags to enable 'beta' version.
+IS_BETA_CFLAGS = 
+
 # Flags that are mandatory to compile 'gmic'.
-MANDATORY_CFLAGS = -Dgmic_build -I$(USR)/include
-MANDATORY_LDFLAGS = -L$(USR)/lib
+MANDATORY_CFLAGS += -Dgmic_build -I$(USR)/include
+MANDATORY_LDFLAGS += -L$(USR)/lib
 ifeq ($(IS_GCC),yes)
 MANDATORY_CFLAGS += -Wall -W
-MANDATORY_LDFLAGS = -lm
-endif
+MANDATORY_LDFLAGS += -lm
+endif
+MANDATORY_CFLAGS+=$(IS_BETA_CFLAGS)
 
 # Flags to enable debugging.
 DEBUG_CFLAGS = -Dcimg_use_vt100 -Dcimg_verbosity=3 -g
 
 # Flags to enable optimizations.
 ifeq ($(IS_GCC),yes)
-OPT_CFLAGS = -O3 -fno-tree-pre -ffast-math
+OPT_CFLAGS = -O3 -fno-tree-pre # -ffast-math
 endif
 ifeq ($(CC),icc)
 OPT_CFLAGS = -O3 -ipo -no-prec-div -override-limits
@@ -96,7 +107,7 @@
 
 # Flags to enable image display, using X11
 # (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
-X11_CFLAGS = -Dcimg_display=1 -Dcimg_display_classname=\\\"G\'MIC\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
+X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
 X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr
 
 # Flags to enable fast display, using XShm.
@@ -104,7 +115,7 @@
 XSHM_LDFLAGS = -L$(USR)/X11R6/lib -lXext
 
 # Flags to enable image display, using GDI32.
-GDI32_CFLAGS = -Dcimg_display=2
+GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
 GDI32_LDFLAGS = -lgdi32
 
 # Flags to enable native support for PNG image files, using the PNG library.
@@ -164,26 +175,26 @@
 BOARD_LDFLAGS = -lboard
 
 # Sets of flags for building different configurations.
-STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
+STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
-	  	  $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(FFMPEG_CFLAGS)
-STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
+	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS) 
+STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(PNG_LDFLAGS) \
 		   $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
-	           $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS)
+	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS) 
 
 CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
-	           $(MAGICK_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS)
+	           $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS) $(MAGICK_CFLAGS) 
 CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
                     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(MINC2_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
-	    	    $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS)
+	    	    $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS) $(MAGICK_LDFLAGS) 
 
 DEBUG_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                     $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
-	            $(MAGICK_CFLAGS) $(FFTW_CFLAGS) $(FFMPEG_CFLAGS)
+	            $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(MAGICK_CFLAGS) 
 DEBUG_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
 	  	     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
-		     $(MAGICK_LDFLAGS) $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS)
+		     $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(MAGICK_LDFLAGS) 
 
 MINIMAL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS)
 MINIMAL_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS)
@@ -193,15 +204,15 @@
 
 STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
-		   $(MAGICK_CFLAGS) $(EXR_CFLAGS) $(FFTW_CFLAGS)
-STD_MACOSX_LDFLAGS = $(X11_LDFLAGS) $(ZLIB_LDFLAGS) $(MANDATORY_LDFLAGS) \
+		   $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(MAGICK_CFLAGS) 
+STD_MACOSX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(ZLIB_LDFLAGS) \
 		     $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
-		     $(MAGICK_LDFLAGS) $(EXR_LDFLAGS) $(FFTW_LDFLAGS)
+		     $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(MAGICK_LDFLAGS) 
 
 STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(FFTW_CFLAGS)
 STD_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(GDI32_LDFLAGS) $(ZLIB_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(FFTW_LDFLAGS)
 
-STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 -I$(USR)/include $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS)
+STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 -I$(USR)/include $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS) ${IS_BETA_CFLAGS}
 STD_GIMP_LDFLAGS = -L$(USR)/lib -lpthread $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
 ifeq ($(OS),MINGW32_NT-5.1)
 STD_GIMP_LDFLAGS += -mwindows
@@ -223,6 +234,7 @@
 	$(MAKE) linux
 	$(MAKE) bashcompletion
 	$(MAKE) gimp
+	$(MAKE) lib
 else
 ifeq ($(OS),Darwin)
 	@echo "**"
@@ -242,10 +254,10 @@
 endif
 
 gimp:
-	$(MAKE) "CFLAGS+=$(STD_GIMP_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_GIMP_LDFLAGS)" "STRIP_EXE=1" gmic_gimp
+	$(MAKE) "CFLAGS=$(STD_GIMP_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_GIMP_LDFLAGS) $(OPT_LDFLAGS)" "STRIP_EXE=1" gmic_gimp
 
 lib:
-	$(MAKE) "CFLAGS+=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib
+	$(MAKE) "CFLAGS=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib
 
 # Entries for non-default configurations.
 minimal:
@@ -255,22 +267,22 @@
 	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_minimal
 
 linux:
-	$(MAKE) "CFLAGS+=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
+	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
 
 custom:
-	$(MAKE) "CFLAGS+=$(CUST_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(CUST_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
+	$(MAKE) "CFLAGS=$(CUST_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(CUST_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
 
 solaris:
-	$(MAKE) "CFLAGS+=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_UNIX_LDFLAGS) -R$(USR)/X11R6/lib -lrt -lnsl -lsocket" "STRIP_EXE=1" gmic_gmic
+	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS) -R$(USR)/X11R6/lib -lrt -lnsl -lsocket" "STRIP_EXE=1" gmic_gmic
 
 macosx:
-	$(MAKE) "CFLAGS+=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_MACOSX_LDFLAGS)" gmic_gmic
+	$(MAKE) "CFLAGS=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_MACOSX_LDFLAGS) $(OPT_LDFLAGS)" gmic_gmic
 
 windows:
-	$(MAKE) "CFLAGS+=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
+	$(MAKE) "CFLAGS=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
 
 windebug:
-	$(MAKE) "CFLAGS+=$(DEBUG_WINDOWS_CFLAGS)" "LDFLAGS+=$(DEBUG_WINDOWS_LDFLAGS)" gmic_minimal
+	$(MAKE) "CFLAGS=$(DEBUG_WINDOWS_CFLAGS)" "LDFLAGS=$(DEBUG_WINDOWS_LDFLAGS)" gmic_minimal
 
 # Rules to build compilation modules.
 gmic_lib.o: gmic.cpp gmic_def.h
@@ -300,8 +312,3 @@
 gmic_short.o: gmic.cpp
 	$(CC) -o gmic_short.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_short $(CFLAGS)
 gmic_uint.o: gmic.cpp
-	$(CC) -o gmic_uint.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_uint $(CFLAGS)
-gmic_int.o: gmic.cpp
-	$(CC) -o gmic_int.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_int $(CFLAGS)
-gmic_float.o: gmic.cpp
-	$(CC) -o gmic_float.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_float $(CFLAGS)

=== debian/changelog ===
gmic (1.5.0.0+dfsg-1) unstable; urgency=low

  * [20fc4583] Merge commit 'upstream/1.5.0.0+dfsg'
  * [ec62b62d] Dropping patch for configure fixes, not necessary anymore.
  * [87daddc5] Refreshing patches.
  * [833f51b5] Remove lib*magick++*-dev build-deps, not needed anymore.
  * [7592f26e] Add libopenexr-dev as build-dependency.
  * [5a8d6059] Don't try to install upstream's changelog, not shipped anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 26 Jul 2011 15:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  libgimp2.0-dev (>= 2.4),
- libavcodec-dev, libavformat-dev, libswscale-dev, libgraphicsmagick++-dev,
- libx11-dev, libxrandr-dev, libmagick++-dev, libfftw3-dev | fftw3-dev,
- libcv-dev, libhighgui-dev
+ libavcodec-dev, libavformat-dev, libswscale-dev,
+ libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
+ libcv-dev, libhighgui-dev, libopenexr-dev
 Standards-Version: 3.8.4
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,6 @@
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.shtml -X.rss -X.js -X.ppm
-
-.PHONY: override_dh_installchangelogs
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
 
 config.status:
 	dh_testdir
